<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm-datausage.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.3.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mcm-datausage.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="mcm-datausage_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#ifndef _MCM_DATAUSAGE_H_</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#define _MCM_DATAUSAGE_H_</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="mcm-base-info_8h.html">mcm-base-info.h</a>&quot;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keywordtype">int</span> <a class="code" href="mcm-datausage_8h.html#a430bcbfe98c50ac08a5e4ab75fb80c26">mcm_datausage_get_iface_total</a>(<span class="keywordtype">char</span> *interfaceName, <a class="code" href="structmcm__datausage__info.html">mcm_datausage_info</a> *traffic_info);</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keywordtype">int</span> <a class="code" href="mcm-datausage_8h.html#a0f7c4a36267f049b7de330e3118574ca">mcm_datausage_get_iface_period</a>(<span class="keywordtype">char</span> *interfaceName, <span class="keywordtype">char</span> *databegin, <span class="keywordtype">char</span> *dataend, <a class="code" href="structmcm__datausage__info.html">mcm_datausage_info</a> *traffic_info);</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keywordtype">int</span> <a class="code" href="mcm-datausage_8h.html#ab2e471b9e743f9fbdfc6ec91bc0ea0ec">mcm_datausage_get_iface_from</a>(<span class="keywordtype">char</span> *interfaceName, <span class="keywordtype">char</span> *databegin, <a class="code" href="structmcm__datausage__info.html">mcm_datausage_info</a> *traffic_info);</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keywordtype">int</span> <a class="code" href="mcm-datausage_8h.html#a95ba56b80d2e91075f285edf2eca41ec">mcm_datausage_reset</a>(<span class="keywordtype">char</span> *interfaceName);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="ttc" id="amcm-base-info_8h_html"><div class="ttname"><a href="mcm-base-info_8h.html">mcm-base-info.h</a></div></div>
<div class="ttc" id="amcm-datausage_8h_html_a0f7c4a36267f049b7de330e3118574ca"><div class="ttname"><a href="mcm-datausage_8h.html#a0f7c4a36267f049b7de330e3118574ca">mcm_datausage_get_iface_period</a></div><div class="ttdeci">int mcm_datausage_get_iface_period(char *interfaceName, char *databegin, char *dataend, mcm_datausage_info *traffic_info)</div><div class="ttdoc">A helper function to get traffic for a period of time.</div><div class="ttdef"><b>Definition:</b> mcm-datausage.c:117</div></div>
<div class="ttc" id="amcm-datausage_8h_html_a430bcbfe98c50ac08a5e4ab75fb80c26"><div class="ttname"><a href="mcm-datausage_8h.html#a430bcbfe98c50ac08a5e4ab75fb80c26">mcm_datausage_get_iface_total</a></div><div class="ttdeci">int mcm_datausage_get_iface_total(char *interfaceName, mcm_datausage_info *traffic_info)</div><div class="ttdoc">A helper function to get traffic.</div><div class="ttdef"><b>Definition:</b> mcm-datausage.c:78</div></div>
<div class="ttc" id="amcm-datausage_8h_html_a95ba56b80d2e91075f285edf2eca41ec"><div class="ttname"><a href="mcm-datausage_8h.html#a95ba56b80d2e91075f285edf2eca41ec">mcm_datausage_reset</a></div><div class="ttdeci">int mcm_datausage_reset(char *interfaceName)</div><div class="ttdoc">A helper function to reset traffic data and restart monitor.</div><div class="ttdef"><b>Definition:</b> mcm-datausage.c:180</div></div>
<div class="ttc" id="amcm-datausage_8h_html_ab2e471b9e743f9fbdfc6ec91bc0ea0ec"><div class="ttname"><a href="mcm-datausage_8h.html#ab2e471b9e743f9fbdfc6ec91bc0ea0ec">mcm_datausage_get_iface_from</a></div><div class="ttdeci">int mcm_datausage_get_iface_from(char *interfaceName, char *databegin, mcm_datausage_info *traffic_info)</div><div class="ttdoc">A helper function to get traffic for a period of time.</div><div class="ttdef"><b>Definition:</b> mcm-datausage.c:168</div></div>
<div class="ttc" id="astructmcm__datausage__info_html"><div class="ttname"><a href="structmcm__datausage__info.html">mcm_datausage_info</a></div><div class="ttdef"><b>Definition:</b> mcm-base-info.h:182</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
